#!/usr/bin/env python
import coral
Class = coral.lang.UML14.Class

P = Class.getPropertyByName("isRoot")
assert P
assert P.getMultLower() == 1
assert P.getMultUpper() == 1
S = P.getROSlot()
print repr(S)
assert S is not None
assert S[0] is not None

de = coral.lang.XMIDI20.GraphNode()

w = de.__getSlotByName__("widget")
p = w.getProperty()
assert p.getMultLower() == 1
assert p.getMultUpper() == 1
assert w is not None
assert len(w) == 1
assert isinstance(w[0], coral.ElementPrimitive)
